<?php

namespace App\Http\Controllers\Web\Locale;

use App\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;

class LocaleController extends Controller
{
    /**
     * @return RedirectResponse
     */
    public function __invoke($locale)
    {
        if (array_key_exists($locale, config('app.locales'))) {
            session()->put('locale', $locale);
        }

        return back();
    }
}
